import pygame
from pygame.locals import *
import tincity
#-------------------------------------------------------
scale = 3
#--------------------------------------------------------------

#-------------------------------------------------
if __name__ == "__main__":
	end = False
	pygame.init()
	pygame.display.set_caption("TinCity")
	pygame.mouse.set_visible(1)
	pygame.event.set_allowed(None)
	pygame.event.set_allowed([QUIT,KEYDOWN,MOUSEBUTTONDOWN])
	window = pygame.display.set_mode((128*scale, 128*scale))
	timer = pygame.time.Clock()
	#-------------------------------------------------------------------
	game = tincity.tincity_game()
	#-------------------------------------------------------------------
	while end == False :
		#=====================================================
		game.update()
		#======================================================
		window.blit(pygame.transform.scale(game.image, (128*scale, 128*scale)),(0,0))
		pygame.display.flip()
		timer.tick(12)
		event = pygame.event.poll()
		
		if event.type == QUIT:
			end = True
		elif event.type == MOUSEBUTTONDOWN:
			x,y = event.pos
			x,y = x/scale,y/scale
			game.click(x,y)
		elif event.type == KEYDOWN:
			game.stroke(pygame.key.name(event.key))

		#======================================================